# Uses of Class
org.apache.sysds.runtime.instructions.cp.IndexingCPInstruction

Packages that use IndexingCPInstruction
Package
Description
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.cpfile
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.ooc

## Uses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.cp

Subclasses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.cp
Modifier and Type
Class
Description
`final class`
`FrameIndexingCPInstruction`
`final class`
`ListIndexingCPInstruction`
`final class`
`MatrixIndexingCPInstruction`
Methods in org.apache.sysds.runtime.instructions.cp that return IndexingCPInstruction
Modifier and Type
Method
Description
`static IndexingCPInstruction`
IndexingCPInstruction.`parseInstruction(String str)`

## Uses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.cpfile

Subclasses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.cpfile
Modifier and Type
Class
Description
`final class`
`MatrixIndexingCPFileInstruction`
This instruction is used if a single partition is too large to fit in memory.

## Uses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type IndexingCPInstruction
Modifier and Type
Method
Description
`static IndexingFEDInstruction`
IndexingFEDInstruction.`parseInstruction(IndexingCPInstruction instr)`

## Uses of IndexingCPInstruction in org.apache.sysds.runtime.instructions.ooc

Methods in org.apache.sysds.runtime.instructions.ooc with parameters of type IndexingCPInstruction
Modifier and Type
Method
Description
`static IndexingOOCInstruction`
IndexingOOCInstruction.`parseInstruction(IndexingCPInstruction cpInst)`